<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src/Button.h File Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">Button.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Event-driven button functionality. This file contains a class for an event-driven button input. It is based on the <a href="https://github.com/bxparks/AceButton">AceButton Library by bxparks</a>. The implimentation here is configured for esp822 boards and simplified. It is however, far less configurable.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;Arduino.h&gt;</code><br />
</div>
<p><a href="_button_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_button.html">Button</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event-driven button class.  <a href="class_button.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Event-driven button functionality. This file contains a class for an event-driven button input. It is based on the <a href="https://github.com/bxparks/AceButton">AceButton Library by bxparks</a>. The implimentation here is configured for esp822 boards and simplified. It is however, far less configurable. </p>
</div></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
